org.apache.fop.render.java2d

## Enum Java2DRendererOption

- java.lang.Object
- - java.lang.Enum<Java2DRendererOption>
  - - org.apache.fop.render.java2d.Java2DRendererOption

- All Implemented Interfaces:
    Serializable, Comparable<Java2DRendererOption>, RendererConfigOption

      public enum Java2DRendererOption
      extends Enum<Java2DRendererOption>
      implements RendererConfigOption

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JAVA2D_TRANSPARENT_PAGE_BACKGROUND` Rendering Options key for the controlling the transparent page background option.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDefaultValue()`
    `String` | `getName()` The name of the option.
    `static Java2DRendererOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Java2DRendererOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA2D_TRANSPARENT_PAGE_BACKGROUND

          public static final Java2DRendererOption JAVA2D_TRANSPARENT_PAGE_BACKGROUND

      Rendering Options key for the controlling the transparent page background option.

  - ### Method Detail

    - #### values

          public static Java2DRendererOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Java2DRendererOption c : Java2DRendererOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Java2DRendererOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Description copied from interface: `RendererConfigOption`
      The name of the option.
      Specified by:
        `getName` in interface `RendererConfigOption`

    - #### getDefaultValue

          public Object getDefaultValue()

      Specified by:
        `getDefaultValue` in interface `RendererConfigOption`

Copyright © 2023 Apache Software Foundation. All rights reserved.